public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michael Weber" <xmw@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/xmw:master commit in: media-libs/raspberrypi-userland-bin/
Date: Fri, 19 Feb 2016 07:27:36 +0000 (UTC)	[thread overview]
Message-ID: <1455866809.9272287e71c2994da46afd55913d5919eac1ee45.xmw@gentoo> (raw)

commit:     9272287e71c2994da46afd55913d5919eac1ee45
Author:     Michael Weber <michael <AT> xmw <DOT> de>
AuthorDate: Fri Feb 19 07:26:49 2016 +0000
Commit:     Michael Weber <xmw <AT> gentoo <DOT> org>
CommitDate: Fri Feb 19 07:26:49 2016 +0000
URL:        https://gitweb.gentoo.org/dev/xmw.git/commit/?id=9272287e

media-libs/raspberrypi-userland-bin: Version bump in preparation for bug 521920.

Package-Manager: portage-2.2.27
Manifest-Sign-Key: 0x71D573A82F434065

 media-libs/raspberrypi-userland-bin/Manifest       | 11 +----
 .../raspberrypi-userland-bin-1.20160209.ebuild     | 49 ++++++++++++++++++++
 ...aspberrypi-userland-bin-1_pre20150421-r2.ebuild | 54 ++++++++++++++++++++++
 3 files changed, 104 insertions(+), 10 deletions(-)

diff --git a/media-libs/raspberrypi-userland-bin/Manifest b/media-libs/raspberrypi-userland-bin/Manifest
index e27c92e..9c28ed5 100644
--- a/media-libs/raspberrypi-userland-bin/Manifest
+++ b/media-libs/raspberrypi-userland-bin/Manifest
@@ -1,13 +1,4 @@
------BEGIN PGP SIGNED MESSAGE-----
-Hash: SHA256
-
+DIST raspberrypi-firmware-1.20160209.tar.gz 114792438 SHA256 ca6a88db72e90ef821b8ca7755bbee9c1d5bdb9a621a45eb029af195d2d29751 SHA512 281092c11d422d821e5e2b0479c3b8f891f8df66cfbf931992902d759c99ed40cbb2d9fada1f944372e5bcd8af69784739e79e9912db3482892b10bf668611f2 WHIRLPOOL 81974a53562ee91544d7a01dc9f4f4173a6e882891f8cf744b700162ddd8f8607b1cfcbbde04cafe2bcea47489f9ea4fd8840adf776e806bef0dba574448e76e
 DIST raspberrypi-firmware-6cc27e02dd.tar.gz 112272395 SHA256 c94f28a6c952c87d85bf04ac3f671781f83c4f90b793f8d00a093df34c23f8a7 SHA512 9f77031232d62f450e8db321fdddac52d276f7a560cdd1fb5e9cab57d4f096ff06f7f228420fb78b25382be493f438b6aad6efd8aeb1cec8605f24ff6dcab3c3 WHIRLPOOL 94623a3ae5394435c2317c8fb1716eaa7247b6208e5cff545bee996713bdeb7ade833c9ed9a20e58c124dc068feb11cfef108720786491d652baf9a883fa20c4
 DIST raspberrypi-firmware-9e9acf8978.tar.gz 94626824 SHA256 4e7e9e725fa805bba481ec04428922146993b3b6755d0e091b2c14a33ca5702f SHA512 5de5056263f3b55ab107134f320b8d6ecbbeb9c1e649c027a6e8daed190589e1c4816b6bf41cfc6c7555df1673bb7888b3042cb612aa55f0e503a85db184e477 WHIRLPOOL 3106784be9c4147ae7ee81492bc87a85133a71e1dbf5a4a5abaf4bbfca2ef24eda95cd865c700b9885293397d7b7486f206c79de50035edb566e807df34ac77d
 DIST raspberrypi-firmware-ba8059e890.tar.gz 93890924 SHA256 fadc9c1eae192d214cce1e3870f46d3a251acce3df901cc9bb80f24feebc9090 SHA512 1ca799b9c61f1ac3b149b64b30b75643597c2829d5b15053f02004a692bae570e157f06c51d295f5951462558a65ad9e126c59255e956595e0740965c8615a97 WHIRLPOOL 37a1fd034f722925f5d5fc0a40b5f882ca414bbc889d5da1a187e05745ec171dbd00dde0271231b88698cd9e7952fb48011dc726adbe00f33bf4d9d5b0da41b8
------BEGIN PGP SIGNATURE-----
-Version: GnuPG v2
-
-iF4EAREIAAYFAlU5VDIACgkQknrdDGLu8JBuFAD9Htlgkz1PUJg1vGvlVYuQQU+o
-kfE4ax+4lQb5Rz6mPL0A/0PH8yOGhYvDuDo7F+8Tx+60vNW6zzQh7zUmW3OVUCi+
-=E9SB
------END PGP SIGNATURE-----

diff --git a/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1.20160209.ebuild b/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1.20160209.ebuild
new file mode 100644
index 0000000..b7b3c7b
--- /dev/null
+++ b/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1.20160209.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit multilib vcs-snapshot
+
+DESCRIPTION="Raspberry Pi userspace tools and libraries"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+MY_P="raspberrypi-firmware-${PV}"
+SRC_URI="https://github.com/raspberrypi/firmware/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+
+LICENSE="BSD GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+KEYWORDS="~arm -*"
+IUSE="+hardfp examples"
+
+RDEPEND="!media-libs/raspberrypi-userland"
+DEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+RESTRICT="binchecks"
+
+src_prepare() {
+	rm {,hardfp/}opt/vc/LICENCE || die
+}
+
+src_install() {
+	cd $(usex hardfp hardfp/ "")opt/vc || die
+
+	insinto /opt/vc
+	doins -r include
+	into /opt
+	dobin bin/*
+	dobin sbin/*
+	insopts -m 0755
+	insinto "/opt/vc/$(get_libdir)"
+	doins -r lib/*
+
+	doenvd "${FILESDIR}"/04${PN}
+
+	if use examples ; then
+		insopts -m 0644
+		insinto /usr/share/doc/${PF}/examples
+		doins -r src/hello_pi
+	fi
+}

diff --git a/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1_pre20150421-r2.ebuild b/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1_pre20150421-r2.ebuild
new file mode 100644
index 0000000..e91d648
--- /dev/null
+++ b/media-libs/raspberrypi-userland-bin/raspberrypi-userland-bin-1_pre20150421-r2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit multilib vcs-snapshot
+
+DESCRIPTION="Raspberry Pi userspace tools and libraries"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+MY_COMMIT="6cc27e02dd"
+SRC_URI="https://github.com/raspberrypi/firmware/tarball/${MY_COMMIT} ->
+	raspberrypi-firmware-${MY_COMMIT}.tar.gz"
+
+LICENSE="BSD GPL-2 raspberrypi-videocore-bin"
+SLOT="0"
+KEYWORDS="~arm -*"
+IUSE="+hardfp examples"
+
+RDEPEND="!media-libs/raspberrypi-userland"
+DEPEND="${DEPEND}"
+
+S=${WORKDIR}/raspberrypi-firmware-${MY_COMMIT}
+
+RESTRICT="binchecks"
+
+src_prepare() {
+	cd $(usex hardfp hardfp/ "")opt/vc || die
+
+	sed -e '/#include/s:"vcos_platform:"interface/vcos/pthreads/vcos_platform:' \
+		-i.orig include/interface/vcos/*.h || die
+	sed -e '/#include/s:"vchost_config:"interface/vmcs_host/linux/vchost_config:' \
+		-i include/interface/vmcs_host/*.h || die
+	#	-e '/#include/s:"vchost_config:"interface/vmcs_host/vchost_config:' \
+	#	-e '/#include/s:"vcfilesys_def:"interface/vmcs_host/vcfilesys_def:' \
+}
+
+src_install() {
+	cd $(usex hardfp hardfp/ "")opt/vc || die
+
+	insinto /usr/include
+	doins -r include/*
+	insopts -m 0755
+	insinto /usr/bin
+	doins bin/*
+	insinto /usr/sbin
+	doins sbin/*
+	insinto "/usr/$(get_libdir)"
+	doins -r lib/*
+
+	insopts -m 0644
+	insinto /usr/share/doc/${PF}/examples
+	use examples && doins -r src/hello_pi
+}


             reply	other threads:[~2016-02-19  7:27 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-19  7:27 Michael Weber [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-02-19 22:05 [gentoo-commits] dev/xmw:master commit in: media-libs/raspberrypi-userland-bin/ Michael Weber
2015-04-24  6:24 Michael Weber
2015-04-23 22:15 Michael Weber
2015-04-23 20:21 Michael Weber
2013-07-17 23:08 Michael Weber
2013-07-17 21:43 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1455866809.9272287e71c2994da46afd55913d5919eac1ee45.xmw@gentoo \
    --to=xmw@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox